# List Users Retrieve a list of User resources. Endpoint: GET /users Version: 2022-02-01 Security: BasicAuth ## Header parameters: - `Finix-Version` (string) Specify the API version of your request. For more details, see Versioning. Example: "2022-02-01" ## Query parameters: - `created_at.gte` (string) Filter where created_at is after the given date. Example: "2022-09-27T11:21:23" - `created_at.lte` (string) Filter where created_at is before the given date. Example: "2026-09-27T11:21:23" - `limit` (integer) The numbers of items to return. Example: 10 - `tags.key` (string) Filter by the tag's key. For more information, see Tags. Example: "card_type" - `tags.value` (string) Filter by the tag's value. For more information, see Tags. Example: "business_card" - `updated_at.gte` (string) Filter where updated_at is after the given date. Example: "2022-09-27T11:21:23" - `updated_at.lte` (string) Filter where updated_at is before the given date. Example: "2026-09-27T11:21:23" ## Response 200 fields (application/json): - `page` (object) Details the page that's returned. - `page.limit` (integer) The number of entries to return. - `page.next_cursor` (string,null) The cursor to use for the next page of results. - `_embedded` (object) - `_embedded.users` (array) - `_embedded.users.id` (string) The ID of the resource. - `_embedded.users.created_at` (string) Timestamp of when the object was created. - `_embedded.users.updated_at` (string) Timestamp of when the object was last updated. - `_embedded.users.created_by` (string) The ID of the application user that created _this_ user. - `_embedded.users.email` (string) The email address of the application user (max 100 characters). - `_embedded.users.enabled` (boolean) Whether the User is enabled and active. Set to false to disable the User. - `_embedded.users.first_name` (string,null) The first name of the User ID (Max 50 characters). - `_embedded.users.identity` (string,null) ID of the Identity that the User object was created under. Example: "IDxxxxxxxxxxxxxxxxxx" - `_embedded.users.last_name` (string,null) The last name of the User ID (Max 50 characters). - `_embedded.users.last_used_date` (string) Timestamp of when the user credentials were last used to make an API call. - `_embedded.users.password` (string,null) The password you'll use to authetnicate requests. - `_embedded.users.role` (string) Details the level of access the [User](#Users) has available. Enum: "ROLE_ADMIN", "ROLE_PLATFORM", "ROLE_PARTNER", "ROLE_MERCHANT" - `_embedded.users.tags` (object,null) Include up to 50 key: value pairs to annotate requests with custom metadata. - Maximum character length for individual keys is 40. - Maximum character length for individual values is 500. (For example, order_number: 25, item_type: produce, department: sales) - `_embedded.users._links` (object) For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs. - `_embedded.users._links.application` (object) Link to the Application the resource was created under. - `_embedded.users._links.application.href` (string) - `_embedded.users._links.applications` (object) - `_embedded.users._links.self` (object) Link to the resource that was used in the request. - `_links` (object) - `_links.next` (object) Link to the next page of entries. ## Response 401 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource. ## Response 403 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource. ## Response 406 fields (application/json): - `total` (integer, required) Total number of errors returned. - `_embedded` (object, required) Container for embedded error objects. - `_embedded.errors` (array) List of individual error objects. - `_embedded.errors.code` (string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request. - `_embedded.errors.logref` (string) A log reference identifier for the error, useful for debugging and support purposes. - `_embedded.errors.message` (string) A human-friendly error message. - `_embedded.errors._links` (object) Links related to this error. - `_embedded.errors._links.self` (object) Link to the resource related to the error. - `_embedded.errors._links.self.href` (string) URL of the related resource.